# -D MUST pass in _version and _release, and SHOULD pass in dist.

Summary: Varnish VMOD for matching strings associated with backends, regexen and other data
Name: vmod-selector
Version: %{_version}
Release: %{_release}%{?dist}
License: BSD
Group: System Environment/Daemons
URL: https://code.uplex.de/uplex-varnish/libvmod-selector
Source0: %{name}-%{version}.tar.gz

# varnish from varnish62 at packagecloud
# This is the Requires for VMOD ABI compatibility with VRT >= 9.0.
Requires: varnishd(vrt)%{?_isa} >= 9

BuildRequires: varnish-devel >= 6.2.0
BuildRequires: pkgconfig
BuildRequires: make
BuildRequires: gcc
BuildRequires: python-docutils >= 0.6

# git builds
#BuildRequires: automake
#BuildRequires: autoconf
#BuildRequires: autoconf-archive
#BuildRequires: libtool
#BuildRequires: python-docutils >= 0.6

Provides: vmod-selector, vmod-selector-debuginfo

%description
Varnish Module for matching fixed strings and prefixes, and
associating the matched string with backends, regular expressions,
other strings, and integers.

%prep
%setup -q -n %{name}-%{version}

%build

# if this were a git build
# ./autogen.sh

%configure

make -j

%check

make -j check

%install

make install DESTDIR=%{buildroot}

# Only use the version-specific docdir created by %doc below
rm -rf %{buildroot}%{_docdir}

# None of these for fedora/epel
find %{buildroot}/%{_libdir}/ -name '*.la' -exec rm -f {} ';'
find %{buildroot}/%{_libdir}/ -name '*.a' -exec rm -f {} ';'

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{_libdir}/varnish*/vmods/
%{_mandir}/man3/*.3*
%doc README.rst COPYING LICENSE

%post
/sbin/ldconfig

%changelog
* Fri Aug 23 2019 Geoff Simmons <geoff@uplex.de> - %{_version}-%{_release}
  Add the integer param to .add(), and the .integer() method.

* Tue Apr 16 2019 Geoff Simmons <geoff@uplex.de> - 1.1.0-1
  Compatibilty with VRT 9 (Varnish 6.2)

* Fri Nov 30 2018 Geoff Simmons <geoff@uplex.de> - 1.0.0-1
  Compatibilty with VRT 8 (Varnish 6.1 and libvarnishapi.so.2)

* Tue Jul 10 2018 Geoff Simmons <geoff@uplex.de> - 0.5.0-1
  Initial package version for compatibility with Varnish 6.0.0.
